/*
 *	AEBuilder.h										Copyright 1991 Apple Computer, Inc.
 */

#define aeBuild_SyntaxErr	12345			/* Let's get an Official OSErr code someday */

typedef enum{								/* Syntax Error Codes: */
	aeBuildSyntaxNoErr = 0,						/* (No error) */
	aeBuildSyntaxBadToken,						/* Illegal character */
	aeBuildSyntaxBadEOF,						/* Unexpected end of format string */
	aeBuildSyntaxNoEOF,							/* Unexpected extra stuff past end */
	aeBuildSyntaxBadNegative,					/* "-" not followed by digits */
	aeBuildSyntaxMissingQuote,					/* Missing close "'" */
	aeBuildSyntaxBadHex,						/* Non-digit in hex string */
	aeBuildSyntaxOddHex,						/* Odd # of hex digits */
	aeBuildSyntaxNoCloseHex,					/* Missing "" */
	aeBuildSyntaxUncoercedHex,					/* Hex string must be coerced to a type */
	aeBuildSyntaxNoCloseString,					/* Missing "" */
	aeBuildSyntaxBadDesc,						/* Illegal descriptor */
	aeBuildSyntaxBadData,						/* Bad data value inside () */
	aeBuildSyntaxNoCloseParen,					/* Missing ")" after data value */
	aeBuildSyntaxNoCloseBracket,				/* Expected "," or "]" */
	aeBuildSyntaxNoCloseBrace,					/* Expected "," or "}" */
	aeBuildSyntaxNoKey,							/* Missing keyword in record */
	aeBuildSyntaxNoColon,						/* Missing ":" after keyword in record */
	aeBuildSyntaxCoercedList					/* Cannot coerce a list */
} AEBuild_SyntaxErrType;


OSErr
	AEBuild(  AEDesc *dst, char *src, ... ),
	vAEBuild( AEDesc *dst, char *src, void *args );
